/***************************************************************************
 *   Copyright (C) 2007 by Mauro Rodrigues				   *
 *   mauro.r@ua.pt							   *
 *                                                                         *
 *   PhUA - Projecto Humanóide da Universidade de Aveiro 07/08		   *
 *	@Sistemas de Tempo-Real 07/08					   *
 ***************************************************************************/

/* PMAN Definitions */

#define SHMEM_PMAN_KEY 0x8510	/* Shared memory key, PMAN primitives */
#define SEM_PMAN_KEY 0x8520	/* Semaphore key for PMAN primitives */

#define SHMEM_ATOP_KEY 0x8511 /* Shared memory key, IPC Acq to Proc */
#define SHMEM_PTOT_KEY 0x8512 /* Shared memory key, IPC Proc to Track */
#define SHMEM_RTDB_KEY 0x8513 /* Shared memory key, IPC Track to Ctrl */

#define SEM_ATOP_KEY   0x8521 /* Semaphore key for IPC Acq to Proc */
#define SEM_PTOT_KEY   0x8522 /* Semaphore key for IPC Proc to Track */
#define SEM_RTDB_KEY   0x8523 /* Semaphore key for IPC Track to Ctrl */
